Lists nominations sharing a client reference
curl --request GET \
--url https://api.demo.fuelboss.net/v1/nominations/{clientReference}/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.demo.fuelboss.net/v1/nominations/{clientReference}/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.demo.fuelboss.net/v1/nominations/{clientReference}/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"clientReference": "<string>",
"delivery": {
"operationStandardCode": "<string>",
"bunkeringLocationCode": "<string>",
"bunkeringLocationName": "<string>",
"portBunkeringLocationCode": "<string>",
"bunkeringLocationDetails": "<string>",
"deliveryMethod": "vessel",
"berthTime": "2023-11-07T05:31:56Z",
"pilotTime": "2023-11-07T05:31:56Z",
"estimatedTimeOfBunkering": "2023-11-07T05:31:56Z",
"laycanStart": "2023-11-07T05:31:56Z",
"laycanEnd": "2023-11-07T05:31:56Z",
"estimatedTimeOfCompletion": "2023-11-07T05:31:56Z",
"estimatedBunkeringDurationInMinutes": 123,
"supplierAssetBufferTimeInMinutes": 123,
"contractReference": "<string>",
"gasUpRequired": true,
"coolDownRequired": true,
"transactionType": "transfer",
"transactionDirection": "in"
},
"supplier": {
"assetIdentifier": {
"vessel": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"terminalName": "<string>"
},
"companyIdentifier": "<string>",
"companyEntityReference": "<string>",
"orderReference": "<string>",
"internalReference": "<string>",
"internalInstructions": "<string>",
"priceType": "floating",
"assetOperatorCompanyIdentifier": "<string>"
},
"receiver": {
"companyIdentifier": "<string>",
"companyName": "<string>",
"orderReference": "<string>",
"vesselIdentifier": {
"imo": 123,
"mmsi": 123,
"externalId": "<string>"
},
"estimatedTimeOfArrival": "2023-11-07T05:31:56Z",
"estimatedTimeOfDeparture": "2023-11-07T05:31:56Z",
"lastPortCode": "<string>",
"nextPortCode": "<string>",
"nextDestination": "international",
"counterpartEntityReference": "<string>",
"companyEntityReference": "<string>"
},
"fuelSpecifications": [
{
"fuelType": "<string>",
"quantityRange": {
"minQuantity": 123,
"maxQuantity": 123,
"unit": "metric_tonnes"
},
"grade": "rma",
"brand": "<string>",
"certificateOfQuality": {
"identifier": "<string>",
"flashPoint": {
"value": "<string>",
"unit": "<string>"
},
"pourPoint": {
"value": 123,
"unit": "<string>"
},
"viscosity": {
"value": 123,
"unit": "<string>"
},
"sulphurContent": {
"value": "<string>",
"unit": "<string>"
},
"density": {
"value": 123,
"unit": "<string>"
},
"waterContent": {
"value": "<string>",
"unit": "<string>"
}
},
"biofuelProperties": {
"typeOfFeedstock": "<string>",
"blendRatio": 123,
"generationCode": "unknown",
"isccCertified": true,
"isccValue": 123,
"certificateScheme": "<string>"
}
}
],
"stakeholders": [
{
"type": "surveyor",
"companyIdentifier": "<string>",
"userEmail": "<string>"
}
],
"status": "supplier_requested"
}
]Nominations
Lists nominations sharing a client reference
Returns every nomination with the given client reference that your company can access. Use this to disambiguate when GET /v1/nominations/ returns 422.
GET
/
v1
/
nominations
/
{clientReference}
/
all
Lists nominations sharing a client reference
Authorizations
Access token obtained from the /oauth/token endpoint using your client credentials.
Path Parameters
The client reference shared by the nominations to list.
Response
OK
Your company's unique identifier for the nomination.
Delivery information.
Show child attributes
Show child attributes
Supplier information.
Show child attributes
Show child attributes
Receiver information.
Show child attributes
Show child attributes
Fuel specifications for the nomination.
Show child attributes
Show child attributes
Stakeholders involved in the nomination (if any).
Show child attributes
Show child attributes
Current status of the nomination.
Possible values:
supplier_requested— Supplier has been requested for this nomination.supplier_unassigned— Nomination has no supplier assigned.supplier_assigned— Supplier has been assigned to the nomination.operation_started— Bunkering operation has started.cancelled— Nomination has been cancelled.accepted— Nomination has been accepted by the supplier.amended— Nomination has been amended. Not currently returned as a nomination's current status; accept it for forward compatibility.
Available options:
supplier_requested, supplier_unassigned, supplier_assigned, operation_started, cancelled, accepted, amended ⌘I